cURL
curl --request POST \
--url https://take.app/api/v2/inventory_items/batch_update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"quantity": 1,
"item_id": "<string>"
}
]
'import requests
url = "https://take.app/api/v2/inventory_items/batch_update"
payload = [
{
"quantity": 1,
"item_id": "<string>"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{quantity: 1, item_id: '<string>'}])
};
fetch('https://take.app/api/v2/inventory_items/batch_update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"item_id": "<string>",
"object": "inventory_item",
"item_name": "<string>",
"product_id": "<string>",
"variant_id": "<string>",
"sku": "<string>",
"quantity": 123,
"price": 123,
"original_price": 123,
"cost": 123,
"cost_enabled": true,
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Inventory
Batch update inventory
POST
/
api
/
v2
/
inventory_items
/
batch_update
cURL
Authorizations
Merchant API V2 token. Pass as Authorization: Bearer <token>.
Body
application/json
Response
Updated inventory items
Available options:
inventory_item Available options:
product, variant Integer amount in the smallest unit of the store currency (e.g. cents).
Integer amount in the smallest unit of the store currency (e.g. cents).
Integer amount in the smallest unit of the store currency (e.g. cents).
⌘I